using System;
using UnityEngine;

namespace NBF
{
    [AttributeUsage(AttributeTargets.Field | AttributeTargets.Property, Inherited = true, AllowMultiple = true)]
    public class ShowIconAttribute : PropertyAttribute
    {
        public readonly string icon;
        public ShowIconAttribute(string icon) => this.icon = icon;
    }

    [AttributeUsage(AttributeTargets.Field | AttributeTargets.Property, Inherited = true, AllowMultiple = true)]
    public class OpCountAttribute : PropertyAttribute
    {
        public readonly int count;
        public OpCountAttribute(int count) => this.count = count;
    }
}